var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconArrangeComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-arrange").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 20 20" }, rest, { ref: ref }),
        React.createElement("path", { d: "M7.681 2.083 2.083 7.681V2.963a.88.88 0 0 1 .88-.88H7.68Z", opacity: ".5" }),
        React.createElement("path", { fillRule: "evenodd", d: "M2.083 7.681v9.356c0 .486.394.88.88.88h14.074a.88.88 0 0 0 .88-.88V2.963a.88.88 0 0 0-.88-.88H7.681L2.083 7.681Zm7.105 1.667v2.312h-.574a.26.26 0 0 0-.26.26v.573h-1.28v-.315a.518.518 0 0 0-.519-.518H4.258a.518.518 0 0 0-.518.518v2.297c0 .286.232.518.518.518h2.296a.518.518 0 0 0 .519-.518v-.315h1.282v.574c0 .143.116.26.26.26h2.814a.26.26 0 0 0 .26-.26v-.574h1.28v.574c0 .143.117.26.26.26h2.815a.26.26 0 0 0 .259-.26v-2.815a.26.26 0 0 0-.26-.259H13.23a.26.26 0 0 0-.26.26v.573h-1.28v-.574a.26.26 0 0 0-.26-.259h-.574V9.348h1.981a.518.518 0 0 0 .519-.519V6.533a.518.518 0 0 0-.519-.518h-5.63a.518.518 0 0 0-.518.518v2.296c0 .287.232.519.518.519h1.982Z", clipRule: "evenodd" }),
        React.createElement("path", { d: "M9.188 11.66V9.348h1.667v2.312H9.188Zm-.833.833H7.073v-.315a.518.518 0 0 0-.518-.518H4.258a.518.518 0 0 0-.518.518v2.297c0 .286.232.518.518.518h2.297a.519.519 0 0 0 .518-.518v-.315h1.282v-1.667Zm3.333 1.667h1.282v.574c0 .143.116.26.26.26h2.814a.26.26 0 0 0 .26-.26v-2.815a.26.26 0 0 0-.26-.259h-2.815a.26.26 0 0 0-.26.26v.573h-1.28v1.667Z", opacity: ".5" }));
}
var IconArrange = React.forwardRef(IconArrangeComponent);
export default IconArrange;
